---
title: Screen.availHeight
slug: Web/API/Screen/availHeight
tags:
  - API
  - CSSOM View
  - Property
  - Reference
  - Screen size
  - availHeight
---
<p>{{APIRef("CSSOM")}}</p>

<p>The read-only {{DOMxRef("Screen")}} interface's <code><strong>availHeight</strong></code> property returns the height, in CSS pixels, of the space available for Web content on the screen. Since {{DOMxRef("Screen")}} is exposed on the {{DOMxRef("Window")}} interface's {{DOMxRef("Window.screen", "window.screen")}} property, you access <code>availHeight</code> using <code>window.screen.availHeight</code>.</p>

<p>You can similarly use {{DOMxRef("Screen.availWidth")}} to get the number of pixels which are horizontally available to the browser for its use.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <var>availHeight</var> = <var>window</var>.screen.availHeight;
</pre>

<h3 id="Value">Value</h3>

<p>A numeric value indicating the number of CSS pixels tall the screen's available space is. This can be no larger than the value of {{DOMxRef("Screen.height", "window.screen.height")}}, and will be less if the device or user agent reserves any vertical space for itself.</p>

<p>For instance, on a Mac whose Dock is located at the bottom of screen (which is the default), the value of <code>availHeight</code> is approximately the value of <code>height</code> (the total height of the screen in CSS pixels) minus the heights of the Dock and menu bar, as seen in the diagram below.</p>

<p><a href="/files/15243/availHeight-diagram.svg"><img alt="Diagram showing how Screen.availHeight relates to Screen.height and the screen's contents" src="https://mdn.mozillademos.org/files/15243/availHeight-diagram.svg" style="height: 312px; width: 500px;"></a></p>

<h2 id="Example">Example</h2>

<p>If your web application needs to open a new window, such as a tool palette which can contain multiple panels, and wants to position it so that it occupies the entire vertical space available, you can do so using code similar to what's seen here.</p>

<p>In the main window, when it's time to open the panels, code like the following is used.</p>

<pre class="brush: html; notranslate">let paletteWindow = window.open("panels.html", "Panels", "left=0, top=0, width=200");</pre>

<p>The Panels window's HTML, in <code>panels.html</code>, has JavaScript code of its own, which is executed as soon as the window is created. It doesn't even need to wait for any particular event (or any event at all). That code handles resizing the window based on the available space:</p>

<pre class="brush: js; notranslate">window.outerHeight = window.screen.availHeight;</pre>

<p>The result is something similar to the below. Note the Panels window filling all available vertical space at the left of the screen.</p>

<p><a href="https://mdn.mozillademos.org/files/15247/screen-availHeight.png"><img alt="Screenshot of the example for Screen.availHeight" src="https://mdn.mozillademos.org/files/15247/screen-availHeight.png" style="height: 338px; width: 600px;"></a></p>

<p>On a Windows system, this would function similarly, by opening the window and sizing it vertically so it uses all available vertical space, leaving room for the taskbar and any other interface elements that reserve space.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-screen-availheight', 'Screen.availHeight')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Screen.availHeight")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Window")}}</li>
 <li>{{DOMxRef("Screen")}}</li>
 <li>{{DOMxRef("Screen.availWidth")}}</li>
 <li>{{DOMxRef("Window.height")}}</li>
</ul>
